aboutsummaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorSergey Poznyakoff <gray@gnu.org.ua>2013-03-12 17:39:51 +0200
committerSergey Poznyakoff <gray@gnu.org.ua>2013-03-12 17:39:51 +0200
commit78df8f9042140b2c0ecf9d81822d1545841df746 (patch)
tree6d6583ddf43cb71151f1c9cfcec8dfb2e1d9a7e3
parentcfa111e835e6467b2ee005f351daaacff2d6bb4c (diff)
downloadwydawca-78df8f9042140b2c0ecf9d81822d1545841df746.tar.gz
wydawca-78df8f9042140b2c0ecf9d81822d1545841df746.tar.bz2
Namespace normalization (3)
Use WY_ prefix for configuration macros & variables.
-rw-r--r--acinclude.m44
-rw-r--r--configure.ac6
-rw-r--r--tests/atlocal.in38
-rw-r--r--tests/check-notify.at6
-rw-r--r--tests/etc/mailstats.rcin4
-rw-r--r--tests/etc/notify.rcin4
-rw-r--r--tests/etc/wydawca.rcin12
-rw-r--r--tests/mailstats.at2
-rw-r--r--tests/notify-upl.at2
-rw-r--r--tests/testsuite.at2
-rw-r--r--tests/upl11.at6
-rw-r--r--tests/upl12f.at6
-rw-r--r--tests/upl12t.at6
-rw-r--r--tests/upload-dry.at12
14 files changed, 55 insertions, 55 deletions
diff --git a/acinclude.m4 b/acinclude.m4
index f961c8b..92bef17 100644
--- a/acinclude.m4
+++ b/acinclude.m4
@@ -20,7 +20,7 @@ dnl $3 -- Any additional libraries that might be needed
20dnl $4 -- Action to be taken when test succeeds 20dnl $4 -- Action to be taken when test succeeds
21dnl $5 -- Action to be taken when test fails 21dnl $5 -- Action to be taken when test fails
22dnl $6 -- Directories where the library may reside 22dnl $6 -- Directories where the library may reside
23AC_DEFUN([WD_CHECK_LIB], 23AC_DEFUN([WY_CHECK_LIB],
24[m4_ifval([$4], , [AH_CHECK_LIB([$1])])dnl 24[m4_ifval([$4], , [AH_CHECK_LIB([$1])])dnl
25AS_VAR_PUSHDEF([wd_Lib], [wd_cv_lib_$1])dnl 25AS_VAR_PUSHDEF([wd_Lib], [wd_cv_lib_$1])dnl
26AC_CACHE_CHECK([for $2 in -l$1], [wd_Lib], 26AC_CACHE_CHECK([for $2 in -l$1], [wd_Lib],
@@ -45,6 +45,6 @@ AS_IF([test "AS_VAR_GET([wd_Lib])" != no],
45])], 45])],
46 [$5])dnl 46 [$5])dnl
47AS_VAR_POPDEF([wd_Lib])dnl 47AS_VAR_POPDEF([wd_Lib])dnl
48])# WD_CHECK_LIB 48])# WY_CHECK_LIB
49 49
50 50
diff --git a/configure.ac b/configure.ac
index f25860e..afe0bb5 100644
--- a/configure.ac
+++ b/configure.ac
@@ -70,7 +70,7 @@ AC_CHECK_FUNCS([fchdir memset strchr strdup strerror strrchr setegid setregid\
70 70
71AM_GNU_MAILUTILS(2.0, [mailer], [status_mailutils=yes], [status_mailutils=no]) 71AM_GNU_MAILUTILS(2.0, [mailer], [status_mailutils=yes], [status_mailutils=no])
72AM_CONDITIONAL([COND_MAILUTILS],[test $status_mailutils = yes]) 72AM_CONDITIONAL([COND_MAILUTILS],[test $status_mailutils = yes])
73AC_SUBST(WD_MAILUTILS,[$status_mailutils]) 73AC_SUBST(WY_MAILUTILS,[$status_mailutils])
74 74
75# ********************** 75# **********************
76# MySQL 76# MySQL
@@ -79,7 +79,7 @@ AC_SUBST(WD_MAILUTILS,[$status_mailutils])
79AC_SUBST(SQLLIB) 79AC_SUBST(SQLLIB)
80AH_TEMPLATE(HAVE_MYSQL,[Define if you have libmysql]) 80AH_TEMPLATE(HAVE_MYSQL,[Define if you have libmysql])
81 81
82WD_CHECK_LIB(mysqlclient, 82WY_CHECK_LIB(mysqlclient,
83 mysql_real_connect, 83 mysql_real_connect,
84 [-lm], 84 [-lm],
85 [ AC_DEFINE(HAVE_MYSQL) 85 [ AC_DEFINE(HAVE_MYSQL)
@@ -95,7 +95,7 @@ AC_SUBST(GPGMELIB)
95AH_TEMPLATE(HAVE_GPGME,[Define if you have gpgme]) 95AH_TEMPLATE(HAVE_GPGME,[Define if you have gpgme])
96 96
97AC_CHECK_HEADERS(gpgme.h) 97AC_CHECK_HEADERS(gpgme.h)
98WD_CHECK_LIB([gpgme],[main],[], 98WY_CHECK_LIB([gpgme],[main],[],
99 [GPGMELIB="$wd_cv_lib_gpgme" 99 [GPGMELIB="$wd_cv_lib_gpgme"
100 AC_DEFINE(HAVE_GPGME) ], 100 AC_DEFINE(HAVE_GPGME) ],
101 [ AC_MSG_FAILURE([The requested library libgpgme is not found or is unusable])], 101 [ AC_MSG_FAILURE([The requested library libgpgme is not found or is unusable])],
diff --git a/tests/atlocal.in b/tests/atlocal.in
index 2f01c30..77cf11b 100644
--- a/tests/atlocal.in
+++ b/tests/atlocal.in
@@ -8,15 +8,15 @@ XFAILFILE=$abs_builddir/.badversion
8 8
9trap "cleanup; test -r $XFAILFILE && cat $XFAILFILE; exit $?" 1 2 13 15 9trap "cleanup; test -r $XFAILFILE && cat $XFAILFILE; exit $?" 1 2 13 15
10 10
11WD_CONFSRC=@abs_top_srcdir@/tests/etc 11WY_CONFSRC=@abs_top_srcdir@/tests/etc
12WD_DISTDIR=@abs_top_srcdir@/tests/dist 12WY_DISTDIR=@abs_top_srcdir@/tests/dist
13WD_SRC=@abs_top_builddir@/tests/source 13WY_SRC=@abs_top_builddir@/tests/source
14WD_DST=@abs_top_builddir@/tests/dest 14WY_DST=@abs_top_builddir@/tests/dest
15WD_MAILUTILS=@WD_MAILUTILS@ 15WY_MAILUTILS=@WY_MAILUTILS@
16MKDIR_P="@MKDIR_P@" 16MKDIR_P="@MKDIR_P@"
17 17
18wydawca_init_testdirs() { 18wydawca_init_testdirs() {
19 for dir in "$WD_SRC" "$WD_SRC/test" "${WD_SRC}/fail" "${WD_SRC}/ok" "$WD_DST" 19 for dir in "$WY_SRC" "$WY_SRC/test" "${WY_SRC}/fail" "${WY_SRC}/ok" "$WY_DST"
20 do 20 do
21 if test -d "$dir"; then 21 if test -d "$dir"; then
22 rm -rf "$dir"/* 22 rm -rf "$dir"/*
@@ -27,32 +27,32 @@ wydawca_init_testdirs() {
27} 27}
28 28
29wydawca_clean_testdirs() { 29wydawca_clean_testdirs() {
30 rm -rf "$WD_SRC" "$WD_DST" 30 rm -rf "$WY_SRC" "$WY_DST"
31} 31}
32 32
33wydawca_expandmeta() { 33wydawca_expandmeta() {
34 sed "s/@USER@/$USER/g; 34 sed "s/@USER@/$USER/g;
35 s,@WD_SRC@,$WD_SRC,g; 35 s,@WY_SRC@,$WY_SRC,g;
36 s,@WD_DST@,$WD_DST,g; 36 s,@WY_DST@,$WY_DST,g;
37 s,@WD_CONFSRC@,$WD_CONFSRC,g; 37 s,@WY_CONFSRC@,$WY_CONFSRC,g;
38 s,@WD_MODDIR@,@abs_top_builddir@/modules/mailutils,g" $1 > $2 38 s,@WY_MODDIR@,@abs_top_builddir@/modules/mailutils,g" $1 > $2
39} 39}
40 40
41wydawca_config() { 41wydawca_config() {
42 wydawca_expandmeta $WD_CONFSRC/${1}in $1 42 wydawca_expandmeta $WY_CONFSRC/${1}in $1
43} 43}
44 44
45wydawca_upload() { 45wydawca_upload() {
46 dir="$WD_SRC/$1" 46 dir="$WY_SRC/$1"
47 shift 47 shift
48 file=$1 48 file=$1
49 shift 49 shift
50 cp "$WD_DISTDIR/$file" "$dir" 50 cp "$WY_DISTDIR/$file" "$dir"
51 cp "$WD_DISTDIR/$file.sig" "$dir" 51 cp "$WY_DISTDIR/$file.sig" "$dir"
52 if test -n "$1"; then 52 if test -n "$1"; then
53 cp "$WD_DISTDIR/$1" "$dir/$file.directive.asc" 53 cp "$WY_DISTDIR/$1" "$dir/$file.directive.asc"
54 else 54 else
55 cp "$WD_DISTDIR/$file.directive.asc" "$dir" 55 cp "$WY_DISTDIR/$file.directive.asc" "$dir"
56 fi 56 fi
57} 57}
58 58
@@ -61,7 +61,7 @@ wydawca_cmp() {
61 shift 61 shift
62 for file in $@ 62 for file in $@
63 do 63 do
64 cmp "$WD_DISTDIR/$file" "$WD_DST/$p/$file" || exit 1 64 cmp "$WY_DISTDIR/$file" "$WY_DST/$p/$file" || exit 1
65 done 65 done
66} 66}
67 67
@@ -70,6 +70,6 @@ wydawca_cmparc() {
70 shift 70 shift
71 for file in $@ 71 for file in $@
72 do 72 do
73 cmp "$WD_DISTDIR/$file" "$WD_DST/$p/archive/$file" || exit 1 73 cmp "$WY_DISTDIR/$file" "$WY_DST/$p/archive/$file" || exit 1
74 done 74 done
75} 75}
diff --git a/tests/check-notify.at b/tests/check-notify.at
index d31e1b9..a357aff 100644
--- a/tests/check-notify.at
+++ b/tests/check-notify.at
@@ -54,8 +54,8 @@ Your upload of file has been rejected by the distribution
54verification procedure with the following diagnostics: 54verification procedure with the following diagnostics:
55 55
56WYDAWCA_SPOOL=ckfail 56WYDAWCA_SPOOL=ckfail
57WYDAWCA_SOURCE=@WD_SRC@/fail 57WYDAWCA_SOURCE=@WY_SRC@/fail
58WYDAWCA_DEST=@WD_DST@ 58WYDAWCA_DEST=@WY_DST@
59WYDAWCA_URL=ftp://wydawca.ckfail 59WYDAWCA_URL=ftp://wydawca.ckfail
60WYDAWCA_TRIPLET_BASE=file 60WYDAWCA_TRIPLET_BASE=file
61WYDAWCA_DIST_FILE=file 61WYDAWCA_DIST_FILE=file
@@ -81,7 +81,7 @@ wydawca_expandmeta outtmpl expout
81wydawca_expandmeta template experr 81wydawca_expandmeta template experr
82 82
83wydawca --no-preproc -c wydawca.rc || exit $? 83wydawca --no-preproc -c wydawca.rc || exit $?
84cat $WD_DST/mail.out 84cat $WY_DST/mail.out
85], 85],
86[0], 86[0],
87[expout], 87[expout],
diff --git a/tests/etc/mailstats.rcin b/tests/etc/mailstats.rcin
index b3aeab7..fc37a4e 100644
--- a/tests/etc/mailstats.rcin
+++ b/tests/etc/mailstats.rcin
@@ -14,13 +14,13 @@
14# You should have received a copy of the GNU General Public License 14# You should have received a copy of the GNU General Public License
15# along with Wydawca. If not, see <http://www.gnu.org/licenses/>. 15# along with Wydawca. If not, see <http://www.gnu.org/licenses/>.
16 16
17module-prepend-load-path "@WD_MODDIR@"; 17module-prepend-load-path "@WY_MODDIR@";
18module mailutils mod_mailutils.la; 18module mailutils mod_mailutils.la;
19module-init mailutils { 19module-init mailutils {
20 admin-address "root@localhost"; 20 admin-address "root@localhost";
21 from-address "wydawca-noreply@localhost"; 21 from-address "wydawca-noreply@localhost";
22 22
23 mailer "| @WD_CONFSRC@/nullmail @WD_DST@/mail.out -F ${sender} ${rcpt}"; 23 mailer "| @WY_CONFSRC@/nullmail @WY_DST@/mail.out -F ${sender} ${rcpt}";
24 24
25 mail-statistics { 25 mail-statistics {
26 statistics all; 26 statistics all;
diff --git a/tests/etc/notify.rcin b/tests/etc/notify.rcin
index 55f9c72..4fba0bd 100644
--- a/tests/etc/notify.rcin
+++ b/tests/etc/notify.rcin
@@ -14,13 +14,13 @@
14# You should have received a copy of the GNU General Public License 14# You should have received a copy of the GNU General Public License
15# along with Wydawca. If not, see <http://www.gnu.org/licenses/>. 15# along with Wydawca. If not, see <http://www.gnu.org/licenses/>.
16 16
17module-prepend-load-path "@WD_MODDIR@"; 17module-prepend-load-path "@WY_MODDIR@";
18module mailutils mod_mailutils.la; 18module mailutils mod_mailutils.la;
19module-init mailutils {